/*
* api_TFT.c
*
*  Created on: Aug 14, 2017
*      Author: QTC
*/

#include "Motor_interface.h"
#include "RTE_GPIO.h"


MeterPostion_t  speedMeter;
MeterPostion_t  revolutionMeter;

unsigned char Motor_2_ZeroPosition(void)    // 水温
{
    unsigned char u8PinReal = 1;
    return u8PinReal;
}
unsigned char Motor_3_ZeroPosition(void)    // 车速
{
    unsigned char u8PinReal = 1;
    return u8PinReal;
}
unsigned char Motor_4_ZeroPosition(void)    // 转速
{
    unsigned char u8PinReal = 1;
    return u8PinReal;
}
unsigned char Motor_5_ZeroPosition(void)    // 燃油
{
    unsigned char u8PinReal = 1;
    return u8PinReal;
}

/*-------------------------------------------------------------------------
* Function Name  : bsp_MeterConfig
* Description    : ���ñ�ͷ
* Input          : None
* Output         : None
* Return         : None
* onther         : 
--------------------------------------------------------------------------*/
void bsp_MeterConfig(void)
{
    bsp_set_meterCfg(Motor_BKA,0,VehMotorNum,direction_1,5880U,800U,Motor_3_ZeroPosition);//车速表3
    bsp_set_meterCfg(Motor_BKA,1,RevMotorNum,direction_1,5880U,800U,Motor_2_ZeroPosition);//水温表2
    // bsp_set_meterCfg(Motor_BKA,2,4,direction_2,2720u,800u,Motor_4_ZeroPosition);//转速表4
    // bsp_set_meterCfg(Motor_BKA,3,5,direction_1,1360u,800u,Motor_5_ZeroPosition);//燃油表5
}
